/*++

Copyright (c) 2008 Seiko Instruments Inc.
All rights reserved.

Module Name:

    DevInfo.h

Abstract:

    Define table file for target device 

Author:

Revision History:

--*/

#pragma once


// Define dll file names
#define	DLL_FILE_NAME		TEXT("SII_IFM_API.DLL")	

// Sample commands
#define	HEADER_CMD		{0x12,'q', 0x00}
#define	FOOTER_CMD		{0x12,'q', 0x0F}
#define	SAMPLE_CMD		{0x12,'r'}

// Define string commands for GetSiiPrinterData()
static LPCTSTR TBL_CMD[] =			
{
	TEXT("AUTO_STATUS_BACK"),
	TEXT("FUNCTION_SET_RESP"),
	TEXT("REMAIN_USER_MEMORY_CAP"),
	TEXT("EXT_RAM_MEMORY_CAP"),
	TEXT("REMAIN_USER_MEMORY_CAP_DEFRAG"),
	TEXT("NV_MEMORY_CAP"),
	TEXT("REMAIN_NV_MEMORY_CAP"),
	TEXT("REG_NV_IMAGE_KEYCODE_RESP"),
	TEXT("GET_RAW_DATA_ASB_RESP"),
	TEXT("GET_RAW_DATA_EXEC_RESP"),
	TEXT("GET_RAW_DATA_INIT_RESP"),
	TEXT("GET_RAW_DATA_PROG_RESP"),

	TEXT("")
};
